/***********************************************************

	pic24glcd.h

	Version 0.91: 2009/02/12

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PIC24GLCD_H__
#define PIC24GLCD_H__

#ifdef USE_GLCD

/***********************************************************
	萔
***********************************************************/

#define	GLCD_SELECT_ALL		3
#define	GLCD_SELECT_LEFT	1
#define	GLCD_SELECT_RIGHT	2

#define	GLCD_DISPLAY_ON		0b00111111
#define	GLCD_DISPLAY_OFF	0b00111110

#define	GLCD_SET_ADDRESS		0b01000000
#define	GLCD_PAGE_ADDRESS_SET	0b10111000
#define	GLCD_DISPLAY_START_LINE	0b11000000

#define	GLCD_X_MAX	128
#define	GLCD_Y_MAX	64


/***********************************************************
	֐̃vg^Cvу}Ni[֐j̒`
***********************************************************/

// void GLCD_init(byte, byte, byte, byte, byte, byte) ;
void GLCD_initDefault() ;

void GLCD_pset(int x, int y, int pixel) ;
void GLCD_drawLine(int x, int y, int x1, int y1, int pixel) ;
void GLCD_drawRectangle(int x, int y, int x1, int y1, int pixel) ;

void GLCD_cusorPos(char, char) ;
void GLCD_setScroll(char, char) ;

/// LCDւ̂Po
void GLCD_putc(int) ;
void GLCD_puts(char *) ;

///@LCD̉ʏ
void GLCD_clear(byte) ;
/// LCD̃J[\z[|WV(0,0)
#define	GLCD_home()	GLCD_cmd(CLCD_HOME)

#endif /*USE_GLCD*/

#endif /*PIC24GLCD_H_*/
